## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005

from CvPythonExtensions import *
import CvUtil
import Popup as PyPopup

# globals
gc = CyGlobalContext()

class CustomFunctions:

    def Inquisit(self, pCity, iOcc):

            StateBelief = gc.getPlayer(pCity.getOwner()).getStateReligion()
            for iTarget in range(gc.getNumReligionInfos()):
			if (not StateBelief == iTarget and pCity.isHasReligion(iTarget) and not pCity.isHolyCityByType(iTarget)):
				pCity.setHasReligion(iTarget, False, True, True)
				pCity.setOccupationTimer(iOcc)
				for i in range(gc.getNumBuildingInfos()):
					if gc.getBuildingInfo(i).getPrereqReligion() == iTarget:
						pCity.setHasRealBuilding(i, False)

            CyInterface().addMessage(CyGame().getActivePlayer(),True,25,'The Inquisition strikes again!','AS2D_INQUISITION',1,'Art/Interface/Buttons/Actions/Pillage.dds',ColorTypes(7),pCity.getX(),pCity.getY(),True,True)

    def Genesis(self, pCity):

            CityX = pCity.getX()
            CityY = pCity.getY()

            for iiX in range(21):
			for iiY in range(21):
				iX = iiX-10 + CityX
				iY = iiY-10 + CityY
				pPlot = CyMap().plot(iX, iY)
				if(pPlot.getTerrainType()==gc.getInfoTypeForString('TERRAIN_SNOW')):
					pPlot.setTerrainType(gc.getInfoTypeForString('TERRAIN_TUNDRA'),True,True)
				elif(pPlot.getTerrainType()==gc.getInfoTypeForString('TERRAIN_TUNDRA')):
					pPlot.setTerrainType(gc.getInfoTypeForString('TERRAIN_PLAINS'),True,True)
				elif(pPlot.getTerrainType()==gc.getInfoTypeForString('TERRAIN_DESERT')):
					pPlot.setTerrainType(gc.getInfoTypeForString('TERRAIN_PLAINS'),True,True)
				elif(pPlot.getTerrainType()==gc.getInfoTypeForString('TERRAIN_PLAINS')):
					pPlot.setTerrainType(gc.getInfoTypeForString('TERRAIN_GRASS'),True,True)
				elif(pPlot.getTerrainType()==gc.getInfoTypeForString('TERRAIN_GRASS')):
					pPlot.setFeatureType(gc.getInfoTypeForString('FEATURE_FOREST'), 0)
